# Create a webhook endpoint

**POST** `/webhook-endpoints`

Create a webhook URL and description. This can also be done on the [dashboard](https://dashboard.column.com).

### Body Parameters

- `description` `string` _(required)_ — A description for this webhook endpoint.
- `enabled_events` `array of strings` _(required)_ — A list of events and event types which will be sent to this webhook's URL.
- `url` `string` _(required)_ — The HTTPS URL that webhooks will be delivered to.

**Request**

```shell
curl 'https://api.column.com/webhook-endpoints' \
  -XPOST \
  -u :<YOUR API KEY> \
  -d "enabled_events[]"="ach.*" \
  -d url="https://docs.column.com"
```

**Response 200**

```json
{
  "id": "",
  "created_at": "2021-11-29T21:30:48.799Z",
  "updated_at": "2021-11-29T21:30:48.799Z",
  "description": "",
  "enabled_events": [
    "string"
  ],
  "secret": "",
  "is_disabled": true,
  "url": ""
}
```
